CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/customers/cus_abc123/complianceGet customer compliance requirements (cus_abc123).import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{id}/compliance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/customers/{id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{id}/compliance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{id}/compliance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/customers/{id}/compliance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{id}/compliance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customerId": "cus_abc123",
"updatedAt": "2026-01-15T10:30:00Z",
"missingRequirements": [
{
"requirementType": "FIELD",
"key": "businessData.legalName",
"displayName": "Legal Name"
},
{
"requirementType": "DOCUMENT",
"key": "compliance.aml_policy",
"displayName": "AML / BSA Policy"
}
],
"enhancedDiligence": {
"requiredFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
],
"missingRequirements": [
{
"requirementType": "FIELD",
"key": "businessData.legalName",
"displayName": "Legal Name",
"entityId": "asp_abc123",
"entityDisplayName": "Jane Owner"
}
]
},
"validationErrors": [
"At least one beneficial owner or control person must be identified."
]
}Customers
Get customer compliance requirements
Verify that you have passed all required compliance information for a customer.
Returns a merged list of missing requirements plus any active overlays. Use this endpoint to check what information is still needed before submitting verification.
Note: When RFIs (Requests for Information) are issued, additional fields may be added to this response.
GET
/
v1
/
customers
/
{id}
/
compliance
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/customers/cus_abc123/complianceGet customer compliance requirements (cus_abc123).import requests
url = "https://sandbox.api.infinite.dev/v1/customers/{id}/compliance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/customers/{id}/compliance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/customers/{id}/compliance",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/customers/{id}/compliance"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/customers/{id}/compliance")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/customers/{id}/compliance")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customerId": "cus_abc123",
"updatedAt": "2026-01-15T10:30:00Z",
"missingRequirements": [
{
"requirementType": "FIELD",
"key": "businessData.legalName",
"displayName": "Legal Name"
},
{
"requirementType": "DOCUMENT",
"key": "compliance.aml_policy",
"displayName": "AML / BSA Policy"
}
],
"enhancedDiligence": {
"requiredFields": [
{
"fieldPath": "<string>",
"displayName": "<string>",
"dataType": "<string>",
"required": true,
"validationPattern": "<string>",
"validationMessage": "<string>",
"allowedValues": [
"<string>"
],
"exampleValue": "<string>",
"uiTag": "<string>",
"infoBox": "<string>",
"options": [
"<string>"
],
"isMultiSelect": true,
"stepId": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
},
"minLength": 123,
"maxLength": 123,
"link": "<string>",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"countryCode": "<string>",
"allowNoTinPlaceholder": true,
"sourcePackage": "<string>"
}
],
"requiredDocuments": [
{
"documentType": "IDENTITY",
"displayName": "<string>",
"required": true,
"acceptedFormats": [
"<string>"
],
"requiredSides": [
"<string>"
],
"maxSizeBytes": 123,
"infoBox": "<string>",
"stepId": "<string>",
"requirementId": "<string>",
"documentSubtype": "GOVERNMENT_ID_FRONT",
"position": 123,
"subject": "<string>",
"entityScope": "<string>",
"documentFieldPath": "<string>",
"minimumFileCount": 123,
"sourcePackage": "<string>",
"dependsOn": {
"fieldPath": "<string>",
"value": true,
"hasValue": true
}
}
],
"missingRequirements": [
{
"requirementType": "FIELD",
"key": "businessData.legalName",
"displayName": "Legal Name",
"entityId": "asp_abc123",
"entityDisplayName": "Jane Owner"
}
]
},
"validationErrors": [
"At least one beneficial owner or control person must be identified."
]
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Path Parameters
Customer ID
Example:
"cus_abc123"
Response
Customer compliance status
Customer ID
Example:
"cus_abc123"
Last updated timestamp
Example:
"2026-01-15T10:30:00Z"
Merged list of missing fields and documents required for compliance
Show child attributes
Show child attributes
Example:
[
{
"requirementType": "FIELD",
"key": "businessData.legalName",
"displayName": "Legal Name"
},
{
"requirementType": "DOCUMENT",
"key": "compliance.aml_policy",
"displayName": "AML / BSA Policy"
}
]
Show child attributes
Show child attributes
Validation errors that would block submission (e.g. ownership requirements)
Example:
[
"At least one beneficial owner or control person must be identified."
]
Was this page helpful?